package com.cab.model;

import com.sys.model.SysUser;

import java.util.Date;

public class CabMymessage implements Cloneable{
    private Integer id;
    //消息类型0：宠爱推送，1：业务办理，2：会员通知，3：邮寄信息，4：我的订阅
    private Integer type;

    private String title;

    private String content;

    private Date createTime;

    private Integer sysUserId;

    private SysUser sysUser;
    private Integer status;

    private Long userId;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getSysUserId() {
        return sysUserId;
    }

    public void setSysUserId(Integer sysUserId) {
        this.sysUserId = sysUserId;
    }

    public SysUser getSysUser() {
        return sysUser;
    }

    public void setSysUser(SysUser sysUser) {
        this.sysUser = sysUser;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public CabMymessage clone(){
        CabMymessage o = null;
        try{
            o = (CabMymessage)super.clone();
            }catch(CloneNotSupportedException e){
            e.printStackTrace();
            }
        return o;
    }
}